org.apache.lucene.monitor

## Class Monitor.QueryCacheStats

- java.lang.Object
- - org.apache.lucene.monitor.Monitor.QueryCacheStats

Enclosing class:
  Monitor

    public static class Monitor.QueryCacheStats
    extends Object

Statistics for the query cache and query index

### Field Summary

Fields
`int` `cachedQueries` Total number of queries int the query cache
`long` `lastPurged` Time the query cache was last purged
`int` `queries` Total number of queries in the query index

### Constructor Summary

Constructors
Constructor and Description
`QueryCacheStats(int queries, int cachedQueries, long lastPurged)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### queries

    public final int queries

Total number of queries in the query index

#### cachedQueries

    public final int cachedQueries

Total number of queries int the query cache

#### lastPurged

    public final long lastPurged

Time the query cache was last purged

### Constructor Detail

#### QueryCacheStats

    public QueryCacheStats(int queries,
                           int cachedQueries,
                           long lastPurged)